<?php
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) {
		echo '<p class="nocomments">این نوشته با رمز محافظت می شود ، و همچنین رمز عبور خود را وارد کنید نظرات را مشاهده کنید.
</p>';
		return;
	}

	if ( have_comments() ) :
?>
	<div id="ctabs">
		<span id="comments" style="float:right;padding:5px 10px;"><?php comments_number('بدون پاسخ', 'یک دیدگاه', '% پاسخ ها' );?></span>
		<a id="commenttab" class="curtab" href="javascript:void(0);" onclick="TabJS.switchTab('thecomments', 'thetrackbacks', 'commenttab', 'curtab', 'trackbacktab', 'tab');">نظرات (<?php echo count($comments_by_type['comment']);?>)</a>
		<a id="trackbacktab" class="tab" href="javascript:void(0);" onclick="TabJS.switchTab('thetrackbacks', 'thecomments', 'trackbacktab', 'curtab', 'commenttab', 'tab');">نظرات (<?php echo count($comments_by_type['pings']);?>)</a>
		<div class="clear"></div>
	</div>

	<div id="thecomments">
		<ol class="commentlist">
		<?php wp_list_comments('type=comment&avatar_size=32'); ?>
		</ol>
		<?php
			if (get_option('page_comments')) {
				$comment_pages = paginate_comments_links('echo=0');
				if($comment_pages){
				 echo '<div class="commentnavi"><span class="commentpages">'.$comment_pages.'</span></div>';
				}
			}
		?>
	</div>
	
	<div id="thetrackbacks">
		<ol class="commentlist">
			<?php 
				wp_list_comments('type=pings&page=1&per_page=9999&callback=comment_list_pings'); 
				//wp_list_comments('type=pings&per_page=9999');
			?>
		</ol>
	</div>
	
 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">نظرات مسدود است.</p>

	<?php endif; ?>
<?php endif; ?>


<?php if ('open' == $post->comment_status) : ?>

<div id="respond">

<strong><?php comment_form_title( 'مرخصی پاسخ', 'أترك ردًا على %s' ); ?></strong>

<span class="cancel-comment-reply"><small><?php cancel_comment_reply_link(); ?></small></span>

<?php 
	if ( get_option('comment_registration') && !$user_ID ) :
		echo '<p>شما باید <a href="'.wp_login_url(get_permalink()).'">وارد شوید</a> تا بتوانید دیدگاه ارسال کنید</p>';
	else : 
?>
	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php 
		if ( $user_ID ) :
			echo '<p>ثبت نام به عنوان <a href="'.get_option('siteurl').'/wp-admin/profile.php">'.$user_identity.'</a>. <a href="'.wp_logout_url(get_permalink()).'" title="خارج شدن از این حساب "> ورود خاموش&raquo;</a></p>';
		else :
?>
			<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
			<label for="author"><small> نام<?php if ($req) echo "(الزامی)"; ?></small></label></p>

			<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
			<label for="email"><small>پست الکترونیکی (منتشر نخواهد شد) <?php if ($req) echo "(الزامی)"; ?></small></label></p>

			<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
			<label for="url"><small>آدرس</small></label></p>

<?php 
		endif; 
?>

		<p dir="ltr"><small><strong>XHTML:</strong> شما می توانید از این کد استفاده کنید: <code><?php echo allowed_tags(); ?></code></small></p>

		<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

		<p><input name="submit" type="submit" id="submit" tabindex="5" value="چشم نظر" /></p>
		<?php comment_id_fields(); ?>
		<?php do_action('comment_form', $post->ID); ?>
	</form>

<?php 
	endif; // If registration required and not logged in
echo "</div>";

endif; //if comment open
?>
