<?php get_header(); ?>
<div id="content">
	<div class="spacer"></div>
<?php  if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
			<h1 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="پیوند دائمی <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
			<div class="date">
					<?php the_time('l, F dS, Y') ?>&nbsp;|&nbsp;نویسنده: <?php the_author_posts_link('nickname'); ?>
					<?php edit_post_link(' &laquo; ویرایش &raquo;','|',''); ?>
			</div>
			<div class="entry">
				<?php the_content('more...'); ?><div class="clear"></div>
				<?php wp_link_pages(array('before' => '<div><strong><center>الصفحات: ', 'after' => '</center></strong></div>', 'next_or_number' => 'number')); ?>
				<?php the_tags('<div class="tags">برچسب ها: ', ', ', '</div>'); ?>
				<div class="category">ویرایش: <?php the_category(', ') ?></div>
			</div>
		</div>

		<div id="postmetadata">
			شما می توانید هر پاسخی به این مطلب را از طریق فید دنبال کنید<?php comments_rss_link('RSS 2.0'); ?>. 
			<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) { // Both Comments and Pings are open ?>
						شما می توانید <a href="#respond"> پاسخ دهید</a>, یا <a href="<?php trackback_url(); ?>" rel="trackback">نظرات</a> دنبال کنید.
			<?php }elseif(!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {	// Only Pings are Open ?>
						پاسخ در حال حاضر بسته است ، اما شما می توانید<a href="<?php trackback_url(); ?> " rel="trackback">نظرات</a> دنبال کنید
			<?php }elseif(('open' == $post-> comment_status) && !('open' == $post->ping_status)){	// Comments are open, Pings are not ?>جست و خیز کردن و اضافه کردن توضیحات. تصویر ، موسیقی هستند در این زمان در دسترس نیست.
			<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {	// Neither Comments, nor Pings are open ?>
						نظرات و هشدار که معلول است.
			<?php } 
			edit_post_link('ویرایش این پست','(',')'); ?>
		</div>
	<?php 
		if (function_exists('wp_list_comments')) {//wordpress 2.7
			comments_template('/comments.php', true);
		} else {
			comments_template('/comments.legacy.php');
		}
	?>
	<?php endwhile; 
	?>
		<div class="navigation">
				<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
				<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
		</div>
<?php 
	else: ?>
		<h3 class="archivetitle">پیدا نشد</h3>
		<p class="sorry">"متاسفیم ، اما شما به دنبال چیز دیگری در اینجا وجود ندارد ، سعی کنید جستجو های مختلف در راه.</p>

<?php endif; ?>

</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
