<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->

	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php wp_get_archives('type=yearly&format=link'); ?>
	<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; <?php } ?> <?php wp_title(); ?></title>
	<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/tabs.js"></script>
	<?php if(is_singular()){ wp_enqueue_script('comment-reply');}?>
	<?php wp_head(); ?>
</head>
<body>
<div id="base">
<div id="base2">
	<div id="header">
		<?php $tmp=(is_single() || is_page() || is_archive())? "div":"h1";?>
		<<?php echo $tmp;?>  id="blogtitle"><a href="<?php echo get_option('home'); ?>"><?php bloginfo('name'); ?></a></<?php echo $tmp;?>>
		<div id="subtitle"><?php bloginfo('description');?></div>
		<a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('template_directory'); ?>/images/spacer.gif" alt="Home" class="home"/></a>
		<ul><?php 
			$options = get_option('widget_pages'); 
			$exclude = empty($options['exclude'] ) ? '' : $options['exclude']; 
			wp_list_pages('sort_column=menu_order&depth=1&title_li=&exclude='.$exclude);
			?></ul>
	</div>
	<div id="container">