<?php get_header(); ?>
<div id="content">
	<?php if ( is_home() ) { ?>
		<div class="spacer"></div>
	<?php } 
	
	if (have_posts()) :
		$post = $posts[0]; // Hack. Set $post so that the_date() works.
		if (is_category()) { /* If this is a category archive */ ?>
				<h3 class="archivetitle">بایگانی برای طبقه بندی از &raquo; <?php echo single_cat_title(); ?> &laquo;</h3>
<?php		} elseif (is_day()) {  /* If this is a daily archive */ ?>
				<h3 class="archivetitle">بایگانی برای <?php the_time('F jS, Y'); ?></h3>
<?php		} elseif (is_month()) { /* If this is a monthly archive */ ?>
				<h3 class="archivetitle">بایگانی برای &raquo; <?php the_time('F, Y'); ?> &laquo;</h3>
<?php		} elseif (is_year()) { /* If this is a yearly archive */ ?>
				<h3 class="archivetitle">بایگانی برای &raquo; <?php the_time('Y'); ?> &laquo;</h3>
<?php		} elseif (is_search()) { /* If this is a search */ ?>
				<h3 class="archivetitle">نتیجه های جستجو</h3>
<?php		} elseif (is_author()) { /* If this is an author archive */ ?>
				<h3 class="archivetitle">بایگانی نویسنده</h3>
<?php		} elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { /* If this is a paged archive */ ?>
			<h3 class="archivetitle">بایگانی وبلاگ</h3>
<?php		} elseif (is_tag()) { /* If this is a tag archive */ ?> 
				<h3 class="archivetitle">آرشیو نوشته ها : لـ &raquo; <?php single_tag_title(); ?> &laquo; </h3>
<?php		} ?>
<?php
		while (have_posts()) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
				<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="پیوند دائمی برای <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<div class="date">
					<?php the_time('l, F dS, Y') ?>&nbsp;|&nbsp;نویسنده: <?php the_author_posts_link('nickname'); ?>
					<?php edit_post_link(' &laquo; ویرایش &raquo;','|',''); ?>
				</div>
				<div class="entry">
					<?php if (is_search()){
							the_excerpt();
						}else{
							the_content('ادامه مطلب...'); 
						}
					?>
				</div>
				<div class="clear"></div>
				<div class="info">
					<span class="category">طبقه بندی: <?php the_category(', ') ?></span>
					<?php the_tags('&nbsp;|&nbsp;<span class="tags">محل سکونت : ', ', ', '</span>'); ?>
					&nbsp;|&nbsp;<span class="bubble"><?php comments_popup_link('اضافه کردن نظر','یک نظر', '% نظرات', '','نظرات غیر فعال'); ?></span>
				</div>
			</div>
		<?php endwhile; ?>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; صفحه بعد') ?></div>
			<div class="alignright"><?php previous_posts_link('صفحه قبل &raquo;') ?></div>
		</div>

	<?php else : ?>
		<h3 class="archivetitle">پیدا نشد</h3>
		<p class="sorry">"متاسفیم ، اما شما به دنبال چیز دیگری در اینجا وجود ندارد ، سعی کنید جستجو های مختلف کنید.</p>
	<?php endif; ?>
</div>
<?php get_sidebar(); ?>
<?php get_footer();?>